import javax.swing.*;

public class radoSUN_TEST_h
	{
	public static void main(String arg[])
		{
			int day=24; 
			int mounth=8; 
			double standartTime=12.0*60.0; 
			double enlem=60;
			double boylam=-27.25; 
			double ssboylamı=-45.0;
			double yukseklik=0.01; 
			int iklim=2;  // yarı tropikal
			double yatay_egim=30.0; //yüzey eğim açısı
			double azimuth=-45.0; //yüzey azimut açısı
			double ro=0.2;  //yansıma oranı
			
			int xDay=0;
        	int xMounth=0;
	
			radoSUN r=new radoSUN( enlem, boylam,ssboylamı, yukseklik, iklim);
        		r.radiation(day,mounth,standartTime);
        	//	r.CSP_APmodel(day,mounth, ro);
			//System.out.println(r.cikti());

		 		r.angles_surface(day,mounth,standartTime, yatay_egim, azimuth, ro);
			System.out.println(r.cikti());
			
		//	System.out.println("CSP_APmodel yıl boyu otalama:"+r.average_year_CSP_APmodel(ro)+" W/m^2(metodla) \n");
			
			 for(int n=0; n<365; n++)
			{
			xDay=r.day_sayac(n)[0];
			xMounth=r.day_sayac(n)[1];
			System.out.println("CSP_APmodeln Gün:"+xDay+" ay:"+xMounth+" boyu otalama:"+r.average_day_CSP_APmodel(n, ro)+" W/m^2(metodla)");
		}
		
		}
	}